#include <stdio.h>
#define N 5

int main(){
    int m[N][N];
    int s[N];
    int i, j, a;
    printf("Inserire il primo valore (m[0][0]): ");
    scanf("%d", &a);

    for(i=0; i<N; i++)
        for(j=0; j<N; j++)
            m[i][j]=a++;

    for(i=0; i<N; i++){
        for(j=0; j<N; j++)
            printf("%3d ", m[i][j]);
        printf("\n");
    }

    for(i=0; i<N; i++){
        s[i]=0;
        for(j=0; j<N; j++)
            s[i]+=m[i][j];
        printf("%d ", s[i]);
    }
    printf("\n");
}
